Skip to Content
Hive
API Referencev1VoIP DSS

Get DSS Trunk by ID

GET
/v1/voip/dss/trunk/{trunkId}/{organizationId}

Retrieve a DSS trunk by trunk ID and organization ID.

Path Parameters

trunkId*integer
organizationId*integer

Response Body

DSS trunk retrieved successfully.

application/json
  1. response

DSS registered SIP trunk as returned by VoipController (Subscriber).

trunkType*string
id*integer
sbcId*integer
nome?string
username?string
maxChannel*integer
trafficLimit?integer|null
traffic_consumed*number
Formatdouble
permanentBk*boolean
bkNumber?string|null
blocked*boolean
dualIdentity*boolean
to_in_ru*boolean
checkPrefix*boolean
mainNumber?string|null
lcrId*integer
domain?string
organizationId*integer
partnerName?string
registration*boolean
idCustomer*integer
customerName?string
companyName?string
presetId?|
Formatint64
actionObject?|null
Example Request
curl -X GET 'https://api.eis.it/v1/voip/dss/trunk/0/0'
Example Response
{  "trunkType": "REGISTER",  "id": 0,  "sbcId": 0,  "nome": "string",  "username": "string",  "maxChannel": 0,  "trafficLimit": 0,  "traffic_consumed": 0.1,  "permanentBk": true,  "bkNumber": "string",  "blocked": true,  "dualIdentity": true,  "to_in_ru": true,  "checkPrefix": true,  "mainNumber": "string",  "lcrId": 0,  "domain": "string",  "organizationId": 0,  "partnerName": "string",  "registration": true,  "idCustomer": 0,  "customerName": "string",  "companyName": "string",  "presetId": 0,  "actionObject": {    "moduleId": 1,    "organizationId": 1,    "objectType": "string",    "objectId": "string",    "context": {      "property1": "string",      "property2": "string"    }  }}